Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569544 - fluentd's NUM_OUTPUTS only takes secure_forward count into account
Summary: fluentd's NUM_OUTPUTS only takes secure_forward count into account
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.z
Assignee: Noriko Hosoi
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1569054 1569554
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 13:16 UTC by Jeff Cantrill
Modified: 2018-05-18 03:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: We currently compute the number of fluentd outputs in the startup script run.sh. When the forward plugin is configured, it was not correctly counted. Consequence: We miss a number of output when the forward plugin is configured. The number of output is used for calculating the file buffer size and the size gets larger than expected. Fix: The logic of the calculation was fixed to include the forward plugin case. Result: The correct output number then the correct file buffer size is now derived when the forward plugin is configured.
Clone Of: 1569054
Environment:
Last Closed: 2018-05-18 03:54:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin-aggregated-logging pull 1029 0 None None None 2018-04-19 13:17:58 UTC
Red Hat Product Errata RHBA-2018:1576 0 None None None 2018-05-18 03:55:08 UTC

Comment 3 Anping Li 2018-05-09 10:35:59 UTC
The fix in in v3.7.46 and logging works well.

Comment 6 errata-xmlrpc 2018-05-18 03:54:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1576


Note You need to log in before you can comment on or make changes to this bug.